in scala.xml
class UnprefixedAttribute

`class` UnprefixedAttribute
  `extends` scala.xml.MetaData
  `with` scala.ScalaObject

  unprefixed attributes have the null namespace

Constructor Summary
| `def` this ( key : java.lang.String , value : java.lang.String , next : scala.xml.MetaData )

Def Summary
| `def` copy ( next : scala.xml.MetaData ) : scala.xml.UnprefixedAttribute returns a copy of this unprefixed attribute with the given next field
| `def` equals1 ( m : scala.xml.MetaData ) : scala.Boolean
`final` | `def` getNamespace ( owner : scala.xml.Node ) : java.lang.String returns null
| `def` getValue ( key : java.lang.String ) : java.lang.String Gets value of unqualified (unprefixed) attribute with given key.
| `def` getValue ( namespace : java.lang.String , scope : scala.xml.NamespaceBinding , key : java.lang.String ) : java.lang.String Forwards the call to next.
`override` | `def` hashCode : scala.Int
`final` | `def` isPrefixed : scala.Boolean returns false
| `def` toString1 ( sb : scala.runtime.compat.StringBuilder ) : scala.Unit
| `def` wellformed ( scope : scala.xml.NamespaceBinding ) : scala.Boolean

Constructor Detail

`def` this ( key : java.lang.String , value : java.lang.String , next : scala.xml.MetaData )

Def Detail

`def` copy ( next : scala.xml.MetaData ) : scala.xml.UnprefixedAttribute

  returns a copy of this unprefixed attribute with the given next field

`def` equals1 ( m : scala.xml.MetaData ) : scala.Boolean

final `def` getNamespace ( owner : scala.xml.Node ) : java.lang.String

  returns null

`def` getValue ( key : java.lang.String ) : java.lang.String

  Gets value of unqualified (unprefixed) attribute with given key.

param:
  key
return:
  ..

`def` getValue ( namespace : java.lang.String , scope : scala.xml.NamespaceBinding , key : java.lang.String ) : java.lang.String

  Forwards the call to next.

param:
  namespace
param:
  scope
param:
  key
return:
  ..

override `def` hashCode : scala.Int

final `def` isPrefixed : scala.Boolean

  returns false

`def` toString1 ( sb : scala.runtime.compat.StringBuilder ) : scala.Unit

`def` wellformed ( scope : scala.xml.NamespaceBinding ) : scala.Boolean